//
// ConfigDlg.h : interface for the CConfigDlg class
//

#if !defined(AFX_CONFIGDLG_H__9130C229_4283_11D2_B5B1_00A024C5F219__INCLUDED_)
#define AFX_CONFIGDLG_H__9130C229_4283_11D2_B5B1_00A024C5F219__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "../Common/RegConstraints.h"

/////////////////////////////////////////////////////////////////////////////
// CConfigDlg dialog

class CConfigDlg : public CDialog
{
// Construction
public:
   ~CConfigDlg ();
  CConfigDlg(CWnd* pParent = NULL);  // standard constructor

// Dialog Data
  //{{AFX_DATA(CConfigDlg)
  enum { IDD = IDD_CONFIG_DIALOG };
  DWORD   m_proxyPort;
  DWORD   m_logBufferSize;
  DWORD   m_freeSpace;
  CString m_proxyServer;
  DWORD   m_transferSizeLimit;
  BOOL    m_automaticUpload;
  DWORD   m_tracePieceSizeLimit;
  //}}AFX_DATA

  // ClassWizard generated virtual function overrides
  //{{AFX_VIRTUAL(CConfigDlg)
  public:
  protected:
  virtual void DoDataExchange(CDataExchange* pDX);  // DDX/DDV support
  //}}AFX_VIRTUAL

// Implementation
protected:
  HICON m_hIcon;

  // Generated message map functions
  //{{AFX_MSG(CConfigDlg)
  virtual BOOL OnInitDialog();
  afx_msg HCURSOR OnQueryDragIcon();
  afx_msg void OnHelpAutomaticUpload();
  afx_msg void OnHelpProxy();
  afx_msg void OnHelpTransferSizeLimit();
  afx_msg void OnHelpFreeSpace();
  afx_msg void OnHelpLogBufferSize();
  virtual void OnOK();
  afx_msg void OnButtonHelp();
  afx_msg void OnButtonApply();
  afx_msg void OnButtonReset();
  afx_msg void OnHelpTracePieceSizeLimit();
  afx_msg void OnChangeEditTracePieceSizeLimit();
  //}}AFX_MSG
  DECLARE_MESSAGE_MAP()

private:
  void ReadFromRegistry (void);
  void ApplyChanges (void);
  BOOL CheckFields (void);
  HKEY m_hKey;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONFIGDLG_H__9130C229_4283_11D2_B5B1_00A024C5F219__INCLUDED_)
