//
// Helpers.cpp contains functions to help out the Config program.
//

#include "stdafx.h"

//////////////////////////////////////////////////////////////////////////////
//                              ERROR DISPLAY
//////////////////////////////////////////////////////////////////////////////

// DisplayError displays, in a message box, the error message given
// in the string generalReason as well as the error message implied
// by the system error state.

void DisplayError (char *generalReason)
{
  char *lpMsgBuf;
  CString str;

  FormatMessage(FORMAT_MESSAGE_ALLOCATE_BUFFER | FORMAT_MESSAGE_FROM_SYSTEM,
                NULL, GetLastError(),
                MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT), (LPTSTR) &lpMsgBuf,
                0, NULL);
  str.Format("%s because %s", generalReason, lpMsgBuf);
  MessageBox(NULL, str, "Error", MB_OK | MB_ICONEXCLAMATION);

  LocalFree(lpMsgBuf);
}
