//
// Debug.cpp contains routines for printing debug output.
//

////////////////////////////////////////////////////////////////////////////
//                              ERROR LOGGING
////////////////////////////////////////////////////////////////////////////

#include <stdio.h>
#include <stdlib.h>
#include <windows.h>
#include "Debug.h"

#ifdef _DEBUG

void DisplayError (char *reason)
{
  char *lpMsgBuf;

  FormatMessage(FORMAT_MESSAGE_ALLOCATE_BUFFER | FORMAT_MESSAGE_FROM_SYSTEM,
                NULL, GetLastError(),
                MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT), 
                (LPTSTR) &lpMsgBuf, 0, NULL);
  PrintDebugInfo("Error: %s because %s", reason, lpMsgBuf);
  LocalFree(lpMsgBuf);
}

#endif
