//
// Globals.cpp declares global variables for the VTrace DLL.
//

#include <windows.h>
#include <winioctl.h>
#include <stdio.h>
#include "../Common/VTrace.h"
#include "Globals.h"

// See Globals.h for descriptions of all these variables.

BOOL initializedOK = FALSE;

HANDLE vtrcInitHandle = INVALID_HANDLE_VALUE;
PKERNEL_USER_SHARED_STATE kernelUserSharedState = NULL;

COMPACTION_PER_PROCESS_VARS compactionProcessVars;
DWORD compactionThreadVarsPtrTlsIndex;

DWORD pageSize;
HOOKED_FUNCTION_INFO *hookOrigHashBucket[NUMBER_OF_HOOK_HASH_BUCKETS];
HOOKED_FUNCTION_INFO *hookNewHashBucket[NUMBER_OF_HOOK_HASH_BUCKETS];
HOOKED_FUNCTION_INFO hookInfo[NUMBER_OF_HOOKED_FUNCTIONS];
