//
// HookManage.h contains the macros, structures, and function prototypes
// needed to call functions in HookManage.c to manage the hook functions.
//

////////////////////////////////////////////////////////////////////////////
//                           FUNCTION PROTOTYPES
////////////////////////////////////////////////////////////////////////////

BOOL InitHookInfo (void);
BOOL CALLBACK InstallHooksInModule (LPSTR ModuleName, ULONG ModuleBase,
                                    ULONG ModuleSize, PVOID UserContext);
BOOL CALLBACK UninstallHooksInModule (LPSTR ModuleName, ULONG ModuleBase,
                                      ULONG ModuleSize, PVOID UserContext);
