// LogEvent.cpp
//
// For 79-character width, truncate the window after this sentence is finished.

#include <stdio.h>
#include <stdlib.h>
#include <windows.h>
#include <winioctl.h>
#include "../Common/VTrace.h"
#include "../Common/RegConstraints.h"
#include "Debug.h"
#include "LogEvent.h"
#include "Globals.h"

////////////////////////////////////////////////////////////////////////////
//                          LOGGING ROUTINES
////////////////////////////////////////////////////////////////////////////

void LogEvent (char *eventBuffer, DWORD eventLength)
{
  DWORD returnSize;

  DeviceIoControl(vtrcInitHandle, VTRACE_CTRL_LOG_EVENT, eventBuffer,
                  eventLength, NULL, 0, &returnSize, NULL);
}
