//
// InstallDlg.h : interface for the CInstallDlg class
//

#if !defined(AFX_INSTALLDLG_H__54B9D1DB_5B8D_11D1_B51B_00A024C5F219__INCLUDED_)
#define AFX_INSTALLDLG_H__54B9D1DB_5B8D_11D1_B51B_00A024C5F219__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#define WM_CHANGE_STATUS         WM_APP+1
#define WM_INSTALL_COMPLETE      WM_APP+2

typedef struct _install_parameters {
  HWND hWnd;
  CString mainDirectory;
  CString personalName;
  DWORD previousVersion;
  CString formerMainDirectory;
} INSTALL_PARAMETERS;

/////////////////////////////////////////////////////////////////////////////
// CInstallDlg dialog

class CInstallDlg : public CDialog
{
// Construction
public:
  BOOL CheckFields (void);
  CInstallDlg(CWnd* pParent = NULL);  // standard constructor

  void OnChangeStatus (WPARAM wParam, LPARAM lParam);
  void OnInstallComplete (WPARAM wParam, LPARAM lParam);
  
  INSTALL_PARAMETERS installParameters;
  CString m_formerMainDirectory;

// Dialog Data
  //{{AFX_DATA(CInstallDlg)
  enum { IDD = IDD_INSTALL_DIALOG };
  CString m_mainDirectory;
  CString m_personalName;
  //}}AFX_DATA

  // ClassWizard generated virtual function overrides
  //{{AFX_VIRTUAL(CInstallDlg)
  protected:
  virtual void DoDataExchange(CDataExchange* pDX);  // DDX/DDV support
  //}}AFX_VIRTUAL

// Implementation
protected:
  HICON m_hIcon;
  CWinThread *installingThread;

  // Generated message map functions
  //{{AFX_MSG(CInstallDlg)
  virtual BOOL OnInitDialog();
  afx_msg HCURSOR OnQueryDragIcon();
  virtual void OnOK();
  virtual void OnCancel();
  afx_msg void OnBrowse();
  afx_msg void OnFreeSpace();
  afx_msg void OnHelpProxy();
  //}}AFX_MSG
  DECLARE_MESSAGE_MAP()
private:
  DWORD m_previousVersion;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_INSTALLDLG_H__54B9D1DB_5B8D_11D1_B51B_00A024C5F219__INCLUDED_)
