//
// RefTime.h contains function prototypes and exported structures for
// RefTime.cpp
//

//////////////////////////////////////////////////////////////////////////////
//                               STRUCTURES
//////////////////////////////////////////////////////////////////////////////

typedef struct _REF_TIME {
  LARGE_INTEGER cycleCount;
  LARGE_INTEGER performanceCounter;
} REF_TIME;

//////////////////////////////////////////////////////////////////////////////
//                           FUNCTION PROTOTYPES
//////////////////////////////////////////////////////////////////////////////

BOOL GetCurrentRefTime (REF_TIME& refTime);
BOOL DeduceCpuSpeedFromOldRefTime (REF_TIME& oldRefTime, DWORD *cpuSpeedPtr);
