//
// LogDriver.h: interface for the CLogDriver class.
//

#if !defined(AFX_VTRACEDRIVER_H__9D3B8ED3_5AC7_11D1_B51A_00A024C5F219__INCLUDED_)
#define AFX_VTRACEDRIVER_H__9D3B8ED3_5AC7_11D1_B51A_00A024C5F219__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#ifndef _LOGDRIVER_H
#define _LOGDRIVER_H

#define COMMUNICATION_BUFFER_SIZE    1048576

class CLogDriver  
{
public:
  CLogDriver();
  virtual ~CLogDriver();
  bool Open (void);
  void Close (void);
  bool AcquireAccess (void);
  void ReleaseAccess (void);
  void IndicateReducedDiskUsage (void);

private:
  HANDLE hDevice;
  bool accessAcquired;
};

#endif

#endif // !defined(AFX_VTRACEDRIVER_H__9D3B8ED3_5AC7_11D1_B51A_00A024C5F219__INCLUDED_)
