//
// UploadDlg.h : Interface for the CUploadDlg class
//

#if !defined(AFX_UPLOADDLG_H__917A3C09_37CE_11D2_B5AC_00A024C5F219__INCLUDED_)
#define AFX_UPLOADDLG_H__917A3C09_37CE_11D2_B5AC_00A024C5F219__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#define WM_CHANGE_STATUS                  WM_APP+1
#define WM_CHANGE_PROGRESS                WM_APP+2
#define WM_UPLOAD_COMPLETE                WM_APP+3

/////////////////////////////////////////////////////////////////////////////
// CUploadDlg dialog

class CUploadDlg : public CDialog
{
// Construction
public:
  CUploadDlg(CWnd* pParent = NULL);  // standard constructor

  void OnChangeStatus (WPARAM wParam, LPARAM lParam);
  void OnChangeProgress (WPARAM wParam, LPARAM lParam);
  void OnUploadComplete (WPARAM wParam, LPARAM lParam);

// Dialog Data
  //{{AFX_DATA(CUploadDlg)
  enum { IDD = IDD_UPLOAD_DIALOG };
    // NOTE: the ClassWizard will add data members here
  //}}AFX_DATA

  // ClassWizard generated virtual function overrides
  //{{AFX_VIRTUAL(CUploadDlg)
  protected:
  virtual void DoDataExchange(CDataExchange* pDX);  // DDX/DDV support
  //}}AFX_VIRTUAL

// Implementation
protected:
  CProgressCtrl progressControl;
  HICON m_hIcon;
  CWinThread *uploadingThread;

  // Generated message map functions
  //{{AFX_MSG(CUploadDlg)
  virtual BOOL OnInitDialog();
  afx_msg HCURSOR OnQueryDragIcon();
  virtual void OnCancel();
  //}}AFX_MSG
  DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_UPLOADDLG_H__917A3C09_37CE_11D2_B5AC_00A024C5F219__INCLUDED_)
