//
// Debug.h contains definitions and macros for printing debug output.
//

#ifdef _DEBUG

#define PrintDebugInfo(x,y,z) \
{ \
  FILE *errorLogFilePointer = fopen("C:\\Temp\\VTrcSrvcErrors.txt", "a"); \
  if (errorLogFilePointer != NULL) { \
    fprintf(errorLogFilePointer, x, y, z); \
    fclose(errorLogFilePointer); \
  } \
}

void DisplayError (char *reason);

#else

#define PrintDebugInfo(x,y,z)
#define DisplayError(x)

#endif
