//
// UninstallRoutines.h contains function prototypes for exported
// functions of UninstallRoutines.cpp.
//

#include "../Common/Version.h"

void DisplayError (char *generalReason);
BOOLEAN GetMainDirectory (char *mainDirectory, int bufferSize);
BOOLEAN StopLogging (void);
BOOLEAN DeleteDriver (char *driverName, SC_HANDLE schSCManager,
                      char *systemRoot);
BOOLEAN DeleteVTrcSrvc (SC_HANDLE schSCManager, char *systemRoot);
BOOLEAN DeleteDLL (char *systemRoot);
BOOLEAN DeleteMainDirectory (char *mainDirectory);
BOOLEAN DeleteStartMenuShortcuts (void);
BOOLEAN DeleteRegistryInfo (void);
DWORD TraceMBRemaining (char *mainDirectory);
void LaunchUploadUtility (char *mainDirectory);
BOOLEAN RemoveUpperFilter (char *driverName, char *classGuid);

