//
// JSocket.h: interface for the JSocket class
//

#if !defined(AFX_JSOCKET_H__A05E77D5_5FCE_11D2_B5D7_00A024C5F219__INCLUDED_)
#define AFX_JSOCKET_H__A05E77D5_5FCE_11D2_B5D7_00A024C5F219__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <winsock.h>

class JSocket  
{
public:
  void Close (void);
  int Receive (char *buf, int length);
  int Send (char *buf, int length);
  bool SendAll (char *buf, int length);
  bool SendAll (char *buf);
  bool Connect (char *hostname, int port);
  bool Create (void);
  JSocket();
  virtual ~JSocket();

private:
  SOCKET sock;
};

#endif // !defined(AFX_JSOCKET_H__A05E77D5_5FCE_11D2_B5D7_00A024C5F219__INCLUDED_)
